import React, { ReactNode } from 'react';
import Head from 'next/head';
import Footer from '../Footer/Footer';
import { landingRoutes } from '../../data/LandingRoutes';

interface Props {
  children: ReactNode;
  titleText: string;
}

export default function MainLayout({ children, titleText }: Props) {
  return (
    <>
      <Head>
        <title>{titleText}</title>
        <meta name="description" content="Generated by create next app" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />
        <link rel="icon" href="/icon.ico" />
      </Head>
      <section className="max-w-[1500px] container m-auto">
        <main role="main">{children}</main>
        <Footer routesData={landingRoutes} />
      </section>
    </>
  );
}
